Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.json
[Java] Class JsonToken

    java.lang.Object
      groovy.json.JsonToken

    public class JsonToken

A JSON token, with a type, line / column information, and the text of that token.

Authors:
  Guillaume Laforge

Since:
  1.8.0

Method Summary
`long` | `getEndColumn()`
`long` | `getEndLine()`
`long` | `getStartColumn()`
`long` | `getStartLine()`
`java.lang.String` | `getText()`
`JsonTokenType` | `getType()`
`java.lang.Object` | `getValue()` Return the value represented by this token (ie. a number, a string, a boolean or null).
`void` | `setEndColumn(long endColumn)`
`void` | `setEndLine(long endLine)`
`void` | `setStartColumn(long startColumn)`
`void` | `setStartLine(long startLine)`
`void` | `setText(java.lang.String text)`
`void` | `setType(JsonTokenType type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getEndColumn

    public long getEndColumn()

### getEndLine

    public long getEndLine()

### getStartColumn

    public long getStartColumn()

### getStartLine

    public long getStartLine()

### getText

    public java.lang.String getText()

### getType

    public JsonTokenType getType()

### getValue

    public java.lang.Object getValue()

  Return the value represented by this token (ie. a number, a string, a boolean or null). For numbers, the most appropriate type is returned (Float, Double, BigDecimal for decimal numbers, and Integer, Long and BigInteger for integral numbers).
  Returns:
    the represented value

### setEndColumn

    public void setEndColumn(long endColumn)

### setEndLine

    public void setEndLine(long endLine)

### setStartColumn

    public void setStartColumn(long startColumn)

### setStartLine

    public void setStartLine(long startLine)

### setText

    public void setText(java.lang.String text)

### setType

    public void setType(JsonTokenType type)

### toString

    public java.lang.String toString()

Groovy Documentation